//
//  HRContinuousShooting.h
//  controllers_api
//
//  Created by Vladimir Starikh on 13.02.2023.
//  Copyright © 2023 HeliconSoft. All rights reserved.
//

#import <controllers_api/hr_structs.h>

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

typedef NS_ENUM(NSInteger, HRContShooting_Controls) {
	HRContShooting_Controls_NumShots,
	HRContShooting_Controls_Start,
	HRContShooting_Controls_Stop,
	HRContShooting_Controls_ShootingMode
};

@protocol HRContinuousShootingProtocol <NSObject>

@optional

- (void)csControlStateChanged;
- (void)csAddCBItem:(HRContShooting_Controls)type withName:(NSString *)name itemId:(unsigned int)itemId;
- (void)csClearCB:(HRContShooting_Controls)type;
- (void)csSetCurrentCBItem:(HRContShooting_Controls)type andItemId:(unsigned int)itemId;

@end

@interface HRContinuousShooting : NSObject

@property (weak) id<HRContinuousShootingProtocol> delegate;

- (instancetype)initWithCore:(RemoteCore *)core;

- (void)updateUI;
- (HR_ControlState)controlState:(HRContShooting_Controls)type;
- (void)startShooting;
- (void)stopShooting;
- (NSUInteger)numShots;
- (void)setNumShots:(NSUInteger)num;
- (void)setShootingMode:(NSUInteger)shootingMode;

@end

NS_ASSUME_NONNULL_END
