//
//  HRLiveView.h
//  controllers_api
//
//  Created by Vladimir Starikh on 21.11.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <UIKit/UIKit.h>


NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

typedef NS_ENUM(NSInteger, HRLiveViewZoomDirection) {
	HRLiveViewZoomDirection_In,
	HRLiveViewZoomDirection_Out
};

@protocol HRLiveViewDelegate <NSObject>

@optional

- (void)lvSwitched:(Boolean)on;
- (void)imageCreated;
- (void)afStarted;
- (void)afFinished;

@end

@interface HRLiveView : NSObject

- (instancetype)initWithCore:(RemoteCore *)core;

@property (weak) id<HRLiveViewDelegate> delegate;

// image
- (UIImage *)lvImage;

- (Boolean)autofocusToPoint:(CGPoint)pos;
- (Boolean)zoomLV:(CGPoint)pos direction:(HRLiveViewZoomDirection)direction andInvert:(Boolean)invert;

@end

NS_ASSUME_NONNULL_END
