//
//  HRPrefShooting.h
//  controllers_api
//
//  Created by Vladimir Starikh on 06.12.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, HRPrefShooting_Controls) {
	HRPrefShooting_Controls_HugeStep,
	HRPrefShooting_Controls_BigStep,
	HRPrefShooting_Controls_MediumStep,
	HRPrefShooting_Controls_CustomExposure,
	HRPrefShooting_Controls_UseLvForShooting
};

@class RemoteCore;

@protocol HRPrefShootingDelegate <NSObject>

@optional

- (void)prefShootingAddCBItem:(HRPrefShooting_Controls)type withName:(NSString *)name andId:(unsigned int)itemId;
- (void)prefShootingClearCB:(HRPrefShooting_Controls)type;
- (void)prefShootingSetCurItemInCB:(HRPrefShooting_Controls)type andId:(unsigned int)itemId;
- (void)prefShootingNumericValueChanged:(HRPrefShooting_Controls)type andValue:(int)value;

@end

@interface HRPrefShooting : NSObject

@property (weak) id<HRPrefShootingDelegate> delegate;

- (instancetype)initWithCore:(RemoteCore *)core;

- (void)updateUI;
- (void)accept;
- (void)resetAllSettings;
- (void)setCurrentItem:(HRPrefShooting_Controls)hrType andItemId:(unsigned int)itemId;
- (void)setNumericValue:(HRPrefShooting_Controls)hrType antValue:(int)value;

@end

NS_ASSUME_NONNULL_END
