//
//  HRVideoRecording.h
//  controllers_api
//
//  Created by Vladimir Starikh on 07.02.2023.
//  Copyright © 2023 HeliconSoft. All rights reserved.
//

#import <controllers_api/hr_structs.h>

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

typedef NS_ENUM(NSInteger, HRVideoRec_Controls) {
	HRVideoRec_Controls_StartRecord,
	HRVideoRec_Controls_StopRecord
};

@protocol HRVideoRecProtocol <NSObject>

@optional

- (void)vrControlStateChanged;

@end

@interface HRVideoRecording : NSObject

@property (weak) id<HRVideoRecProtocol> delegate;

- (instancetype)initWithCore:(RemoteCore *)core;

- (HR_ControlState)controlState:(HRVideoRec_Controls)type;

- (void)start;
- (void)stop;

@end

NS_ASSUME_NONNULL_END
