//
//  HRPrefGeneral.h
//  controllers_api
//
//  Created by Vladimir Starikh on 04.12.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, HRPrefGeneral_Controls) {
	HRPrefGeneral_Controls_ActivateLiveViewOnStartup
};

@class RemoteCore;

@protocol HRPrefGeneralDelegate <NSObject>

@optional

- (void)prefGenAddCBItem:(HRPrefGeneral_Controls)type withName:(NSString *)name andId:(unsigned int)itemId;
- (void)prefGenClearCB:(HRPrefGeneral_Controls)type;
- (void)prefGenSetCurItemInCB:(HRPrefGeneral_Controls)type andId:(unsigned int)itemId;

@end

@interface HRPrefGeneral : NSObject

@property (weak) id<HRPrefGeneralDelegate> delegate;

- (instancetype)initWithCore:(RemoteCore *)core;

- (void)updateUI;
- (void)accept;
- (void)resetAllSettings;
- (void)setCurrentItem:(HRPrefGeneral_Controls)hrType andItemId:(unsigned int)itemId;

@end

NS_ASSUME_NONNULL_END
