//
//  AppDelegate.m
//  remote
//
//  Created by Vladimir Starikh on 17.11.2022.
//

#import "AppDelegate.h"
#import "MainViewController.h"

#import <controllers_api/RemoteCore.h>

@interface AppDelegate () <RemoteCoreDelegate>
{

}

@property (strong) MainView *mainView;
@property (strong) UINavigationController *navController;

@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
	application.idleTimerDisabled = YES;

	//Get the file path
	NSString *documentsDirectory = (NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES))[0];
	NSString *commonPath = [documentsDirectory stringByAppendingPathComponent:@""];

	RemoteCore *core = [[RemoteCore alloc] init];
	core.delegate = self;
	[core setCommonPath:commonPath];
	[core initLogger:@"api.log"];
	[core setPathToStoreImages:@""];
	[core initCore];

	_core = core;

	_window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	_mainView = [[MainView alloc] initWithNibName:@"Main" bundle:nil];
	_navController = [[UINavigationController alloc] initWithRootViewController:_mainView];
	_window.rootViewController = _navController;

	[_window makeKeyAndVisible];

	return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{

}

- (void)applicationDidEnterBackground:(UIApplication *)application
{

}

- (void)applicationWillEnterForeground:(UIApplication *)application
{

}

- (void)applicationDidBecomeActive:(UIApplication *)application
{

}

- (void)applicationWillTerminate:(UIApplication *)application
{
	[_core deinitCore];
}

#pragma mark - implement of RemoteCore delegate

- (void)runQueue
{
	NSRunLoop *threadRunLoop = [NSRunLoop currentRunLoop];
	[threadRunLoop runMode:NSDefaultRunLoopMode beforeDate:[NSDate dateWithTimeIntervalSinceNow:1]];
}

- (void)showTimeoutMessage
{

}

- (void)showMessage:(HRDialog *)dlg
{
	
}


@end
