//
//  VideoRecViewController.m
//  remote
//
//  Created by Vladimir Starikh on 07.02.2023.
//

#import "VideoRecViewController.h"
#import "AppDelegate.h"

#import <controllers_api/RemoteCore.h>
#import <controllers_api/HRVideoRecording.h>

@interface VideoRecViewController () <HRVideoRecProtocol>

@property (weak) IBOutlet UIButton *btnStart;
@property (weak) IBOutlet UIButton *btnStop;

@property (weak) HRVideoRecording *videoRec;

@end

@implementation VideoRecViewController

- (void)viewDidLoad {
	[super viewDidLoad];

	AppDelegate *app = (AppDelegate *)[UIApplication sharedApplication].delegate;
	RemoteCore *core = app.core;

	_videoRec = core.videoRec;
	_videoRec.delegate = self;
}

- (void)viewWillAppear:(BOOL)animated
{
	[super viewWillAppear:animated];

	[self vrControlStateChanged];
}

- (IBAction)startClicked:(id)sender
{
	[_videoRec start];
}

- (IBAction)stopClicked:(id)sender
{
	[_videoRec stop];
}

#pragma mark - implement of HRVideoRecording protocol

- (void)vrControlStateChanged
{
	HR_ControlState state = [_videoRec controlState:HRVideoRec_Controls_StartRecord];
	_btnStart.enabled = state.enabled;

	state = [_videoRec controlState:HRVideoRec_Controls_StopRecord];
	_btnStop.enabled = state.enabled;
}

@end
